×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Regular Contributor
    Join Date
    Dec 2008
    Posts
    84

    Question Qt for S60 3rd edition FP2?

    [Oops -- apologies for multiple posting -- just put this in the general C++ board and on qt-interest, having forgotten about this forum...]

    I'm trying to create a Qt project for S60 3rd edition, FP2, using the Carbide IDE, using 4.4.4-temple.

    I've installed S60_3rd_FP2_SDK_v1.1 and I can build helloworldbasic and see the SDK in the the list of available Symbian OS SDs in SDK Preferences in Carbide.

    However, when I try to create a Qt project and get to the Build Targets page of the New Project wizard, 'Filter build configurations that don't contain Qt support' filters out all but S60_5th_Edition_SDK_v0.9.

    Can I create Qt apps for S60_3rd_FP2_SDK_v1.1?

    Sam Dutton

  2. #2
    Nokia Developer Champion
    Join Date
    Sep 2007
    Location
    Bhavnagar
    Posts
    928

    Re: Qt for S60 3rd edition FP2?

    Hi Samdutton,

    Your question is not clear. Can you please explain it a better. Do you have both sdk install on your pc.

    Regards
    Jajal Mehul

  3. #3
    Nokia Developer Champion
    Join Date
    Sep 2007
    Location
    Bhavnagar
    Posts
    928

    Re: Qt for S60 3rd edition FP2?

    Hi samDutton

    I think if carbide shows only 5th edition sdk in the availabel sdk then you can make the project for 5th edition only. When you run the project in which emulator it shows the output?

    Regards.
    Jajal Mehul

  4. #4
    Registered User
    Join Date
    Dec 2006
    Posts
    2,280

    Re: Qt for S60 3rd edition FP2?

    Hi Sam,

    Have you built the Qt binaries for winscw for both SDKs. I think Carbide just looks for the .lib files to link against.

    Mark

  5. #5
    Nokia Developer Champion
    Join Date
    Sep 2007
    Location
    Bhavnagar
    Posts
    928

    Re: Qt for S60 3rd edition FP2?

    Quote Originally Posted by Sorcery-ltd View Post
    Hi Sam,

    Have you built the Qt binaries for winscw for both SDKs. I think Carbide just looks for the .lib files to link against.

    Mark
    hi,
    I am agree with sorcery, you have to configure qt for both sdk ( 3rd and 5th ).
    Jajal Mehul

  6. #6
    Regular Contributor
    Join Date
    Dec 2008
    Posts
    84

    Re: Qt for S60 3rd edition FP2?

    Thanks for the replies.

    I hadn't copied the qtlibs stuff to 3rd edition FP2 SDK.

    I got confused by the instructions in section 5 of Installing Qt on S60:

    The Qt libraries comes pre-built for real devices. To install them, execute qtlibs-4.4.4-temple.exe included in this package. Follow the install instructions and navigate to the root directory of the S60 SDK you are using. For example: C:\Symbian\9.2\S60_3rd_FP1_2\
    What this means is that you have to extract qtlibs-4.4.4-temple.exe to the epoc32 folder of the SDK you're using, for example C:\S60\devices\S60_5th_Edition_SDK_v0.9\epoc32.

    Sam

  7. #7
    Registered User
    Join Date
    Dec 2006
    Posts
    2,280

    Re: Qt for S60 3rd edition FP2?

    Hi,

    Please note that you still need to build for the emulator for each SDK you want to use (unless you don't want to use the emulator). I guess it looks for Qt libs for any build because just the emulator libraries will pass the filter, even if you haven't extracted the target binaries.

    Mark

Similar Threads

  1. [new thread] Installing S60 3rd Edition FP2 v1.1 on Vista
    By manik01 in forum Symbian Tools & SDKs
    Replies: 4
    Last Post: 2010-05-22, 12:58
  2. Replies: 5
    Last Post: 2009-03-26, 13:38
  3. S60 3rd Edition FP2 1.1 C/C++ API Reference
    By Tx in forum Symbian Tools & SDKs
    Replies: 8
    Last Post: 2008-12-10, 16:09
  4. Emulator of S60 3rd Edition FP2 SDK does not work?
    By patrick_307 in forum Mobile Java Tools & SDKs
    Replies: 8
    Last Post: 2008-12-07, 16:17
  5. Problem with S60 3rd Edition FP2 connection
    By HandBox in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2008-05-07, 17:16

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×